/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package testcase;

import java.util.logging.Logger;
import javax.annotation.PostConstruct;
import javax.annotation.PreDestroy;
import javax.jws.Oneway;
import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebService;

/**
 *
 * @author tao
 */
@WebService()
public class PreDestroyService {
    protected static final Logger LOG = Logger.getLogger(PreDestroyService.class.getName());
    protected static long instanceCount;
    
    protected long instance;
    
    public PreDestroyService()
    {
        instance=++instanceCount;
        LOG.info("instance "+instance+" created");
    }
    
    @PostConstruct
    protected void postConstruct()
    {
        LOG.info("instance "+instance+" postConstruct");
    }
    
    @PreDestroy
    protected void preDestroy()
    {
        LOG.info("instance "+instance+" preDestroy");
    }
    
    /**
     * Web service operation
     */
    @WebMethod(operationName = "test")
    @Oneway
    public void test(@WebParam(name = "arg") String arg) {
    }

}
